Skip to navigation

List Encryption Keys

Retrieves a list of encryption keys available to Eon in the specified region of the restore account.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"

ID of the project the restore account is in. You can get your project ID from the API Credentials page in your global management console.

accountIdstringRequiredformat: "uuid"

Eon-assigned ID of the restore account.

regionstringRequired
Region where the encryption keys are located.

Query parameters

includeAwsManagedKeysbooleanOptionalDefaults to false

Whether to include AWS-managed keys in the response.

Response

Encryption keys retrieved.
keyslist of objects
List of encryption keys.